<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@80B3EF=63</action>
    </script>
  </cheat>

  <cheat desc="Finish this Round Now!">
    <script state="on">
      <action>maincpu.pb@80B3EF=00</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage">
    <parameter min="1" max="11" step="1"/>
    <script state="run">
      <action condition="(maincpu.pb@811FCA==00)">maincpu.pb@811FCA=(param-1)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pw@811F80=0140</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL1">
    <script state="on">
      <action>maincpu.pw@811F80=0000</action>
    </script>
  </cheat>

  <cheat desc="Select Red Power PL1">
    <parameter>
      <item value="0x00">Minimum</item>
      <item value="0x78">Maximum</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@811F80=param</action>
    </script>
  </cheat>

  <cheat desc="Select Blue Power PL1">
    <parameter>
      <item value="0x00">Minimum</item>
      <item value="0x78">Maximum</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@81214B=param</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL1">
    <parameter>
      <item value="0x01">Long</item>
      <item value="0x02">Zhuge</item>
      <item value="0x03">Yizhen</item>
      <item value="0x04">Ling</item>
      <item value="0x05">Tsan</item>
      <item value="0x06">Jinlun</item>
      <item value="0x07">Chinhu</item>
      <item value="0x08">Hades</item>
      <item value="0x09">Buto</item>
      <item value="0x0A">Abacus</item>
      <item value="0x0B">Oniska</item>
      <item value="0x0C">Shanguan</item>
      <item value="0x0D">Boss 1</item>
      <item value="0x0E">Boss 2</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@80BFBC=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pw@81213E=0140</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL2">
    <script state="on">
      <action>maincpu.pw@81213E=0000</action>
    </script>
  </cheat>

  <cheat desc="Select Red Power PL2">
    <parameter>
      <item value="0x00">Minimum</item>
      <item value="0x78">Maximum</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@812145=param</action>
    </script>
  </cheat>

  <cheat desc="Select Blue Power PL2">
    <parameter>
      <item value="0x00">Minimum</item>
      <item value="0x78">Maximum</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@811F8D=param</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL2">
    <parameter>
      <item value="0x01">Long</item>
      <item value="0x02">Zhuge</item>
      <item value="0x03">Yizhen</item>
      <item value="0x04">Ling</item>
      <item value="0x05">Tsan</item>
      <item value="0x06">Jinlun</item>
      <item value="0x07">Chinhu</item>
      <item value="0x08">Hades</item>
      <item value="0x09">Buto</item>
      <item value="0x0A">Abacus</item>
      <item value="0x0B">Oniska</item>
      <item value="0x0C">Shanguan</item>
      <item value="0x0D">Boss 1</item>
      <item value="0x0E">Boss 2</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@80C056=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
